Extending Qt Creator Manual | QrcParser

Extending Qt Creator Manual 4.5.2

# QrcParser Class

(QmlJS::QrcParser)

- List of all members, including inherited members

## Public Types

typedef | ConstPtr
typedef | Ptr

## Public Functions

| ~QrcParser()
void | collectFilesAtPath(const QString &path, QStringList *res, const QLocale *locale = 0) const
void | collectFilesInPath(const QString &path, QMap<QString, QStringList> *res, bool addDirs = false, const QLocale *locale = 0) const
void | collectResourceFilesForSourceFile(const QString &sourceFile, QStringList *results, const QLocale *locale = 0) const
QStringList | errorMessages() const
QString | firstFileAtPath(const QString &path, const QLocale &locale) const
bool | hasDirAtPath(const QString &path, const QLocale *locale = 0) const
bool | isValid() const
QStringList | languages() const
bool | parseFile(const QString &path, const QString &contents)

## Static Public Members

QString | normalizedQrcDirectoryPath(const QString &path)
QString | normalizedQrcFilePath(const QString &path)
Ptr | parseQrcFile(const QString &path, const QString &contents)
QString | qrcDirectoryPathForQrcFilePath(const QString &file)

## Member Type Documentation

### typedef QrcParser::ConstPtr

### typedef QrcParser::Ptr

## Member Function Documentation

### QrcParser::~QrcParser()

Destroys the instance of QrcParser.

### void QrcParser::collectFilesAtPath(const QString &path, QStringList *res, const QLocale *locale = 0) const

### void QrcParser::collectFilesInPath(const QString &path, QMap<QString, QStringList> *res, bool addDirs = false, const QLocale *locale = 0) const

### void QrcParser::collectResourceFilesForSourceFile(const QString &sourceFile, QStringList *results, const QLocale *locale = 0) const

### QStringList QrcParser::errorMessages() const

### QString QrcParser::firstFileAtPath(const QString &path, const QLocale &locale) const

### bool QrcParser::hasDirAtPath(const QString &path, const QLocale *locale = 0) const

### bool QrcParser::isValid() const

### QStringList QrcParser::languages() const

### `[static]` QString QrcParser::normalizedQrcDirectoryPath(const QString &path)

### `[static]` QString QrcParser::normalizedQrcFilePath(const QString &path)

### bool QrcParser::parseFile(const QString &path, const QString &contents)

### `[static]` Ptr QrcParser::parseQrcFile(const QString &path, const QString &contents)

### `[static]` QString QrcParser::qrcDirectoryPathForQrcFilePath(const QString &file)